> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists custom connector profiles for the requesting account

> Lists custom connector profiles for the requesting account, these can be used to create resources where required



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/custom-connectors
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/custom-connectors:
    get:
      tags:
        - Connectors
      summary: Lists custom connector profiles for the requesting account
      description: >-
        Lists custom connector profiles for the requesting account, these can be
        used to create resources where required
      operationId: getCustomConnectors
      responses:
        '200':
          content:
            application/json:
              example: |2
                  {
                    "name": "connector-name",
                    "icon": 🔌,
                    "logo": {
                        "type": "URL",
                        "image": {
                            "url": "https://logo-location.svg"
                        }
                    },
                    "endpoints": [
                        {
                            "id": "40c12625-fe35-4d95-96ea-79f0eba3243c",
                            "name": "endpoint-name",
                            "url": "https://connector-url",
                            "httpMethod": "GET",
                            "auth": "BEARER",
                            "authTemplate": null,
                            "authenticationOptions": [
                                {
                                    "type": "BEARER",
                                    "parameters": [],
                                    "additionalParameters": null
                                }
                            ],
                            "paging": {
                                "type": "none"
                            },
                            "headerParameters": [],
                            "queryParameters": [],
                            "uriParameters": [],
                            "structure": {
                                "schema": {},
                                "containedInOuterArray": true,
                                "repeatingElementPath": []
                            },
                            "body": null
                        }
                    ],
                    "deleted": false,
                    "deletedTime": null,
                    "lastModified": "2023-11-17T11:42:11.678445Z"
                  },
          description: Custom connectors successfully returned
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Bad request
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````